xine-lib: xine-lib-1.2.12/src/xine-utils/yuv2rgb.h File Reference

xine-lib 1.2.12

Data Structures | Macros | Typedefs | Functions
yuv2rgb.h File Reference
`#include <inttypes.h>`
`#include <xine/attributes.h>`

Go to the source code of this file.

## Data Structures
struct | yuv2rgb_s
struct | yuv2rgb_factory_s

## Macros
#define | MODE_8_RGB 1
#define | MODE_8_BGR 2
#define | MODE_15_RGB 3
#define | MODE_15_BGR 4
#define | MODE_16_RGB 5
#define | MODE_16_BGR 6
#define | MODE_24_RGB 7
#define | MODE_24_BGR 8
#define | MODE_32_RGB 9
#define | MODE_32_BGR 10
#define | MODE_8_GRAY 11
#define | MODE_PALETTE 12
#define | CM_DEFAULT 10
#define | CM_SD 10
#define | CM_HD 2
#define | CM_FULLRANGE 1

## Typedefs
typedef struct yuv2rgb_s | yuv2rgb_t
typedef struct yuv2rgb_factory_s | yuv2rgb_factory_t
typedef void(* | yuv2rgb_fun_t) (yuv2rgb_t *this, uint8_t *restrict image, const uint8_t *restrict py, const uint8_t *restrict pu, const uint8_t *restrict pv)
typedef void(* | yuy22rgb_fun_t) (yuv2rgb_t *this, uint8_t *restrict image, const uint8_t *restrict p)
typedef uint32_t(* | yuv2rgb_single_pixel_fun_t) (yuv2rgb_t *this, uint8_t y, uint8_t u, uint8_t v)

## Functions
yuv2rgb_factory_t * | yuv2rgb_factory_init (int mode, int swapped, const uint8_t *colormap)

## Macro Definition Documentation

## ◆ CM_DEFAULT

#define CM_DEFAULT 10

## ◆ CM_FULLRANGE

#define CM_FULLRANGE 1

## ◆ CM_HD

#define CM_HD 2

## ◆ CM_SD

#define CM_SD 10

## ◆ MODE_15_BGR

#define MODE_15_BGR 4

## ◆ MODE_15_RGB

#define MODE_15_RGB 3

## ◆ MODE_16_BGR

#define MODE_16_BGR 6

## ◆ MODE_16_RGB

#define MODE_16_RGB 5

## ◆ MODE_24_BGR

#define MODE_24_BGR 8

## ◆ MODE_24_RGB

#define MODE_24_RGB 7

## ◆ MODE_32_BGR

#define MODE_32_BGR 10

## ◆ MODE_32_RGB

#define MODE_32_RGB 9

## ◆ MODE_8_BGR

#define MODE_8_BGR 2

## ◆ MODE_8_GRAY

#define MODE_8_GRAY 11

## ◆ MODE_8_RGB

#define MODE_8_RGB 1

## ◆ MODE_PALETTE

#define MODE_PALETTE 12

## Typedef Documentation

## ◆ yuv2rgb_factory_t

typedef struct yuv2rgb_factory_s yuv2rgb_factory_t

## ◆ yuv2rgb_fun_t

typedef void(* yuv2rgb_fun_t) (yuv2rgb_t *this, uint8_t *restrict image, const uint8_t *restrict py, const uint8_t *restrict pu, const uint8_t *restrict pv)

## ◆ yuv2rgb_single_pixel_fun_t

typedef uint32_t(* yuv2rgb_single_pixel_fun_t) (yuv2rgb_t *this, uint8_t y, uint8_t u, uint8_t v)

## ◆ yuv2rgb_t

typedef struct yuv2rgb_s yuv2rgb_t

## ◆ yuy22rgb_fun_t

typedef void(* yuy22rgb_fun_t) (yuv2rgb_t *this, uint8_t *restrict image, const uint8_t *restrict p)

## Function Documentation

## ◆ yuv2rgb_factory_init()

yuv2rgb_factory_t * yuv2rgb_factory_init | ( | int | mode,
|  | int | swapped,
|  | const uint8_t * | colormap
| ) |  |

References _yuv2rgb_set_csc_levels(), CM_DEFAULT, yuv2rgb_factory_s::create_converter, yuv2rgb_factory_s::dispose, lprintf, MM_ACCEL_MLIB, MM_ACCEL_X86_MMX, MM_ACCEL_X86_MMXEXT, mode(), NULL, yuv2rgb_factory_s::set_csc_levels, xine_mm_accel(), yuv2rgb_c_init(), yuv2rgb_create_converter(), yuv2rgb_factory_dispose(), yuv2rgb_init_mlib(), yuv2rgb_init_mmx(), yuv2rgb_init_mmxext(), yuv2rgb_set_csc_levels(), yuv2rgb_single_pixel_init(), and yuy22rgb_c_init().

Referenced by open_plugin(), opengl_open_plugin(), raw_open_plugin(), setup_yuv2rgb(), vo_grab_grab_video_frame(), xshm_open_plugin(), and xshm_open_plugin_2().